Skip to main content
GET
List all address book recipients

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

accountId
integer

The accountId of the end user's custody account to list recipients for. Without accountId or clientEntityId, a Digital Asset Accounts distributor key returns only recipients on the distributor's own entity.

Example:

1000662322

clientEntityId
string<uuid>

Identifier of the end user's client entity to list recipients for.

Example:

"a3f1b2c4-d5e6-7890-abcd-ef1234567890"

address
string

Filters results to fetch only address book recipients with the provided address.

chain
string

Filters results to fetch only address book recipients with the provided chain.

email
string

Filters results to fetch only address book recipients that have the provided email in their metadata.

status
enum<string>

Filters results to fetch only address book recipients that have the provided status. Status of the address book recipient. Payouts require active. pending means the recipient is under risk review, and inactive means it is in a waiting period before it can receive payouts.

Available options:
pending,
pending_verification,
pending_additional_information,
pending_owner_information,
pending_beneficiary_information,
denied,
inactive,
verification_succeeded,
active,
on_hold,
failed,
disabled
from
string

Queries items created since the specified date-time (inclusive) in ISO 8601 format. ISO-8601 UTC date/time format.

Example:

"2020-04-10T02:13:30.000Z"

to
string

Queries items created before the specified date-time (inclusive) in ISO 8601 format. ISO-8601 UTC date/time format.

Example:

"2020-04-10T02:13:30.000Z"

pageBefore
string

A collection ID value used for pagination. It marks the exclusive end of a page. When provided, the collection resource will return the next n items before the id, with n being specified by pageSize.

Example:

"def9520a-5280-4089-9b02-3c9ef8fc8514"

pageAfter
string

A collection ID value used for pagination. It marks the exclusive beginning of a page. When provided, the collection resource will return the next n items after the id, with n being specified by pageSize.

Example:

"bce1e961-bdb8-4983-a9c2-0b3fbc2614cf"

pageSize
integer

Limits the number of items to be returned.

Some collections have a strict upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used.

If omitted, the collection will determine the page size itself.

Required range: x >= 1
Example:

5

Response

Successfully retrieved a list of address book recipients.

data
object[]